<?php 

namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DTO\Response;

class ReportHandlerFactory implements IReportHandlerFactory {
    const VENDAS_REALIZADAS_PERIODO = 'vnd41208Q_relVendasRealizadasPeriodoDataExporter';
    //const DESCONTOS_CONCEDIDOS      = 'vnd55007_relDescConcedidosExport';
    protected $relService;
    
    public function __construct ($relService) {
        $this->relService = $relService;
    }
    
    public function getReportHandler($dataSourceName) {
        
        if($dataSourceName === self::VENDAS_REALIZADAS_PERIODO) {
            return new VendasRealizadasReportHandler($this->relService);
        } 
        elseif (substr($dataSourceName, 3, 5) === '55007') {
            return new DescontosConcedidosReportHandler($this->relService);
        }else{
            return null;
        }
    }
}